Can't upload after upgrading to 3.2.8

When things don't work as they should.
Post Reply
gtditeko
Posts: 6
Joined: Tue Sep 11, 2018 10:24 am

Can't upload after upgrading to 3.2.8

Post by gtditeko » Mon Oct 14, 2019 11:18 am

I am getting this error:

tail /var/log/supervisor/mayan-gunicorn-stderr---supervisor-d0GQdk.log
__import__(name)
File "/opt/mayan-edms/lib/python2.7/site-packages/gevent/builtins.py", line 96, in __import__
result = _import(*args, **kwargs)
ImportError: No module named metadata.validators

It's happening after I enter metadata. Please assist.

User avatar
rosarior
Posts: 406
Joined: Tue Aug 21, 2018 3:28 am

Re: Can't upload after upgrading to 3.2.8

Post by rosarior » Mon Oct 14, 2019 2:24 pm

This is caused by a change in the config file format. Prefix all app references with "mayan.apps". The change is explained here: https://docs.mayan-edms.com/releases/3. ... le-changes

Change "metadata.validators" to "mayan.apps.metadata.validators"

gtditeko
Posts: 6
Joined: Tue Sep 11, 2018 10:24 am

Re: Can't upload after upgrading to 3.2.8

Post by gtditeko » Tue Oct 15, 2019 6:51 am

Hi Rosario.

I already changed the config.yml, but I am still getting the same error.

File "/opt/mayan-edms/lib/python2.7/site-packages/gevent/builtins.py", line 96, in __import__
result = _import(*args, **kwargs)
ImportError: No module named metadata.validators
mayan.apps.common.middleware.error_logging <13232> [ERROR] "process_exception() line 18 Exception caught by request middleware; <WSGIRequest: POST '/sources/create/from/local/multiple/?document_create_wizard-current_step=document_type_selection&csrfmiddlewaretoken=Z8pOnrZYE8L1N3pVlLbfY26cpDnTRQgY1NuBz9QiHv7EVEitD63IeprdHYKOHkzH&document_type_selection-document_type=2'>, No module named metadata.validators"
Traceback (most recent call last):

On the web app I am getting an 'Internal Server Error'. I then looked at all the supervisor logs and its the only one that I see, though it has no timestamp. Are there any other logs where I can look? Nothing is being written here:
COMMON_PRODUCTION_ERROR_LOG_PATH: /opt/mayan-edms/media/error.log

Below is an error I am getting from the Postgresql log:
2019-10-15 10:13:53.532 CAT [5092] mayan@mayan LOG: could not receive data from client: Connection reset by peer
2019-10-15 10:36:41.715 CAT [7494] mayan@mayan LOG: could not receive data from client: Connection reset by peer

User avatar
rosarior
Posts: 406
Joined: Tue Aug 21, 2018 3:28 am

Re: Can't upload after upgrading to 3.2.8

Post by rosarior » Tue Oct 15, 2019 4:45 pm

Make sure you restart the installation for the config changes to become active.

If you are using environment variables to configure the installation, you can delete the config.yml file and it will be recreated with correct values.

Post Reply